## golang-1.23 1.23~rc2

=== debian/changelog ===
golang-1.23 (1.23~rc2-2) unstable; urgency=medium

  * Team upload
  * Increase test timeout in autopkgtest

 -- Shengjing Zhu <zhsj@debian.org>  Fri, 19 Jul 2024 16:05:05 +0800

golang-1.23 (1.23~rc2-1) unstable; urgency=medium

  * Team upload
  * New upstream version 1.23~rc2

 -- Shengjing Zhu <zhsj@debian.org>  Wed, 17 Jul 2024 16:34:37 +0800
