## golang-1.23 1.23.0

=== debian/changelog ===
golang-1.23 (1.23.0-1) unstable; urgency=medium

  * Team upload
  * New upstream version 1.23.0

 -- Shengjing Zhu <zhsj@debian.org>  Wed, 14 Aug 2024 07:05:45 +0800
