## golang-1.23 1.23.1

=== debian/changelog ===
golang-1.23 (1.23.1-1~24.04.1) noble-security; urgency=medium

  * Fix FTBFS due to expired certificates
    - debian/patches/fix-ftbfs-skip-expired-certificate-tests.patch: 
      Hardcoding time in test certificates to fix FTBFS

 -- Nick Galanis <nick.galanis@canonical.com>  Wed, 29 Oct 2025 17:46:41 +0000

golang-1.23 (1.23.1-1~24.04) noble; urgency=medium

  * Backport to noble (LP: #2080372)

 -- Didier Roche-Tolomelli <didrocks@ubuntu.com>  Wed, 11 Sep 2024 14:49:46 +0200

golang-1.23 (1.23.1-1) unstable; urgency=medium

  * Team upload
  * New upstream version 1.23.1
    + CVE-2024-34155: go/parser: stack exhaustion in all Parse* functions
    + CVE-2022-30635: encoding/gob: stack exhaustion in Decoder.Decode
    + CVE-2024-34158: go/build/constraint: stack exhaustion in Parse

 -- Shengjing Zhu <zhsj@debian.org>  Mon, 09 Sep 2024 16:26:12 +0800
