## golang-1.23 1.23.2

=== debian/changelog ===
golang-1.23 (1.23.2-1) unstable; urgency=medium

  * Team upload
  * New upstream version 1.23.2

 -- Shengjing Zhu <zhsj@debian.org>  Thu, 03 Oct 2024 14:40:06 +0800

golang-1.23 (1.23.1-3) unstable; urgency=medium

  * Team upload
  * Increase timeout to 2h in autopkgtest

 -- Shengjing Zhu <zhsj@debian.org>  Thu, 12 Sep 2024 13:21:49 +0800

golang-1.23 (1.23.1-2) unstable; urgency=medium

  * Team upload
  * Increase timeout to 1h in autopkgtest

 -- Shengjing Zhu <zhsj@debian.org>  Wed, 11 Sep 2024 14:05:33 +0800
