=== debian/control ===
--- 
+++ 
@@ -12,7 +12,7 @@
 Section: golang
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
-               golang-go (>= 2:1.20~),
+               golang-1.23-go | golang-1.22-go | golang-1.21-go | golang-1.20-go,
                netbase
 Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/go-team/compiler/golang/tree/golang-1.23
