## golang-1.23 1.23.5

=== debian/changelog ===
golang-1.23 (1.23.5-1~bpo12+1) bookworm-backports; urgency=medium

  * Rebuild for bookworm-backports.

 -- Shengjing Zhu <zhsj@debian.org>  Tue, 21 Jan 2025 12:33:10 +0800

golang-1.23 (1.23.5-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 1.23.5
    + CVE-2024-45341: crypto/x509: usage of IPv6 zone IDs can bypass URI name
      constraints
    + CVE-2024-45336: net/http: sensitive headers incorrectly sent after
      cross-domain redirect
    + Fix tests using expired certificates (Closes: #1091497)
  * Revert "Disable tests using soon-to-be-expired certificates." (Fixed)

 -- Shengjing Zhu <zhsj@debian.org>  Fri, 17 Jan 2025 07:29:29 +0800

golang-1.23 (1.23.3-2~bpo12+1) bookworm-backports; urgency=medium

  * Rebuild for bookworm-backports.

 -- Shengjing Zhu <zhsj@debian.org>  Thu, 14 Nov 2024 17:27:37 +0800
