## golang-1.23 1.23.6

=== debian/changelog ===
golang-1.23 (1.23.6-3) unstable; urgency=medium

  * Team upload
  * binutils-gold is only used on arm64
  * Add binutils-gold to Depends for golang-X.Y-go on arm64

 -- Shengjing Zhu <zhsj@debian.org>  Tue, 11 Feb 2025 19:57:07 +0800

golang-1.23 (1.23.6-2) unstable; urgency=medium

  * Team upload.
  * Add binutils-gold to Build-Depends.
  * Temporary using golang-1.22 to bootstrap.

 -- Shengjing Zhu <zhsj@debian.org>  Mon, 10 Feb 2025 18:47:56 +0800

golang-1.23 (1.23.6-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 1.23.6
    + CVE-2025-22866: crypto/elliptic: timing sidechannel for P-256 on ppc64le

 -- Shengjing Zhu <zhsj@debian.org>  Fri, 07 Feb 2025 21:01:17 +0800
