## golang-1.23 1.23.8

=== debian/changelog ===
golang-1.23 (1.23.8-1ubuntu0.1) plucky-security; urgency=medium

  * No change rebuild to copy the package to the security pocket

 -- Nick Galanis <nick.galanis@canonical.com>  Wed, 29 Oct 2025 17:59:02 +0000

golang-1.23 (1.23.8-1) unstable; urgency=medium

  * Team upload
  * New upstream version 1.23.8
    + CVE-2025-22871: net/http: request smuggling through invalid chunked data

 -- Shengjing Zhu <zhsj@debian.org>  Thu, 03 Apr 2025 15:05:52 +0800
