## golang-1.23 1.23.10

=== debian/changelog ===
golang-1.23 (1.23.10-1ubuntu0.2) questing-security; urgency=medium

  * Fix FTBFS due to variable naming
    - debian/patches/fix-ftbfs-reserved-name.patch: Changing name of 
      variable to fix FTBFS

 -- Nick Galanis <nick.galanis@canonical.com>  Wed, 29 Oct 2025 19:01:01 +0000

golang-1.23 (1.23.10-1ubuntu0.1) questing-security; urgency=medium

  * No change rebuild to copy the package to the security pocket

 -- Nick Galanis <nick.galanis@canonical.com>  Wed, 29 Oct 2025 18:20:57 +0000

golang-1.23 (1.23.10-1) unstable; urgency=medium

  * Team upload
  * New upstream version 1.23.10
    + CVE-2025-4673: net/http: sensitive headers not cleared on cross-origin redirect (Closes: #1107390)
    + CVE-2025-0913: os: inconsistent handling of O_CREATE|O_EXCL on Unix and Windows
    + CVE-2025-22873: os: Root permits access to parent directory (Closes: #1104816)

 -- Anshul Singh <anshul.singh@canonical.com>  Mon, 16 Jun 2025 13:10:51 +0200
