=== debian/control ===
--- 
+++ 
@@ -3,7 +3,8 @@
 #
 
 Source: golang-1.23
-Maintainer: Debian Go Compiler Team <team+go-compiler@tracker.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Go Compiler Team <team+go-compiler@tracker.debian.org>
 Uploaders: Michael Stapelberg <stapelberg@debian.org>,
            Paul Tagliamonte <paultag@debian.org>,
            Tianon Gravi <tianon@debian.org>,
@@ -13,7 +14,7 @@
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
                binutils-gold [arm64],
-               golang-1.22-go | golang-1.21-go | golang-1.20-go,
+               golang-1.23-go | golang-1.22-go | golang-1.21-go | golang-1.20-go,
                netbase
 Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/go-team/compiler/golang/tree/golang-1.23
